<?php
/*
+--------------------------------------------------------------------------
##############################################################
## MOD Title:    MKPortal
## MOD Author: BMG < boris@mokrousov.org > http://www.mokrousov.org
## MOD Version: 1.0
##############################################################
+--------------------------------------------------------------------------
*/

if (!defined("IN_MKP")) {
    die ("Sorry !! You cannot access this file directly.");
}
$mklib->load_lang("lang_konkurs.php");

$output .="<tr><td>
<link rel=\"stylesheet\" type=\"text/css\" href=\"mkportal/modules/konkurs/konkurs.css\" />
";

$kid = intval($mkportals->input['kid']);
if ($kid){
	$konwhere = "WHERE published > 0 and id = '$kid'";
} else {
	$konwhere = "WHERE published = '1' or published = '2'";
}

$query = $DB->query( "select * FROM konkurs_main $konwhere");
$row = $DB->fetch_row($query);
if ($row) {
// print_r($mkportals->member['mgroup']);
// echo $row['biddergroup'];
	$uname = $mkportals->member['name'];
	$uid = $mkportals->member['id'];
	$kid = $row['id'];
	$konstatus = $row['published'];
	$query = $DB->query( "SELECT id FROM konkurs_foto WHERE kid = '$kid' and uid = '$uid'");
	$joincheck = $DB->fetch_row($query);
	$curtime=time();
	if ($joincheck) {
		$jointext="<a href=\"index.php?ind=konkurs&kid=$kid&op=fotoview&idf={$joincheck['id']}\" class=\"mylink\">{$mklib->lang['konkurs_myfoto']}</a>";
	} else {
		if ($curtime > $row['startdate'] && $curtime < $row['enddate'] && $row['published'] == 1) {
			$jointext="<a href=\"index.php?ind=konkurs&kid=$kid&op=join\" class=\"joinlink\">{$mklib->lang['konkurs_join']}</a>";
		} else {
			$jointext="<span class=\"finjoin\">{$mklib->lang['konkurs_finjoin']}</span>";
		}
	}
	$startdate = date("d.m.Y",$row['startdate']);
	$enddate = date("d.m.Y",$row['enddate']);
	$votestart = date("d.m.Y",$row['votestart']);
	$voteend = date("d.m.Y",$row['voteend']);

	$output .="<h1 class=\"kon_title\">&nbsp;{$row['title']}</h1>
		<div><table cellpaacing=\"5\" align=\"right\">
		<tr><td rowspan=\"3\" width=\"20\">&nbsp;</td><td class=\"kondate1\">{$mklib->lang['konkurs_joindate']}</td><td class=\"kondate2\">$startdate - $enddate</td></tr>
		<tr><td class=\"votedate1\">{$mklib->lang['konkurs_votedate']}</td><td class=\"votedate2\">$votestart - $voteend</td></tr>
		<tr><td colspan=\"2\" align=\"center\">$jointext</td></tr>
		</table>
		<div class=\"kon_op\">{$row['opisanie']}</div>
		</div><br><br>
		<table width=\"100%\" border=\"0\" cellspacing=\"5\"><tr align=\"center\">
		<td width=\"25%\"><a href=\"index.php?ind=konkurs&kid=$kid&op=fotos\" class=\"menulink\">{$mklib->lang['konkurs_all']}</a></td>
		<td width=\"25%\"><a href=\"index.php?ind=konkurs&kid=$kid&op=prizes\" class=\"menulink\">{$mklib->lang['ad_menu_prize']}</a></td>
		<td width=\"25%\"><a href=\"index.php?ind=konkurs&kid=$kid&op=rules\" class=\"menulink\">{$mklib->lang['konkurs_rules']}</a></td>
		<td width=\"25%\"><a href=\"index.php?ind=konkurs&op=archive\" class=\"menulink\">{$mklib->lang['konkurs_archive']}</a></td>
		</tr></table>
		";


switch($mkportals->input['op']) {

	case 'add_file':

// ------------------------- ADD --------------------------------------

		if(!$mkportals->member['id']) {
			$message = "{$mklib->lang['konkurs_reguser']}";
			$mklib->error_page($message);
			exit;
		}
		if ($joincheck['id']){
			$message = "{$mklib->lang['konkurs_already']}";
			$mklib->error_page($message);
			exit;
		}
		if ($curtime < $row['startdate'] || $curtime > $row['enddate']) {
			$message = "{$mklib->lang['konkurs_joinend']}";
			$mklib->error_page($message);
			exit;
		}

		$access_group = $row['biddergroup'];
		$gaccess = 1;
		if ($access_group != -10 && !$mkportals->member['g_access_cp']) {
			$gaccess=0;
			foreach ($mkportals->member['mgroup'] as $gid => $gidval) {
				if ($gidval==$access_group) {
					$gaccess=1;
				}
			}      	
		}              	
		if (!$gaccess){
			$message = "{$mklib->lang['konkurs_noaccess']}";
			$mklib->error_page($message);
			exit;
		}
		$FILE_UPLOAD = $mkportals->input['FILE_UPLOAD'];
		$file =  $_FILES['FILE_UPLOAD']['tmp_name'];
		$file_name =  $_FILES['FILE_UPLOAD']['name'];
		$fsize =  $_FILES['FILE_UPLOAD']['size'];		
		$title = $mkportals->input['fototitle'];
		$description = $mkportals->input['fotodesc'];
		if (!$kid || !$title || !$file) {
			$message = "{$mklib->lang['konkurs_nofields']}";
			$mklib->error_page($message);
			exit;
		}
		if ($file_name) {
		$file_ext = preg_replace("`.*(\..*)`", "\\1", $file_name);
		$file_ext = strtolower($file_ext);

		switch($file_ext)
		{
			case '.gif':
				$ext = '.gif';
				break;
			case '.jpg':
				$ext = '.jpg';
				break;
			case '.png':
				$ext = '.png';
				break;
			case '.tif':
				$ext = '.tif';
				break;
			case '.bmp':
				$ext = '.bmp';
				break;
			default:
				$ext = 'not_supported';
				break;
		}

			if ($ext == "not_supported")  {
				$message = "{$mklib->lang['konkurs_notsup']}";
				$mklib->error_page($message);
				exit;
			}

			//Validate file size
			if ($mklib->config['konkurs_upload_image_max'] > 0 && $fsize > ($mklib->config['konkurs_upload_image_max']*1024)) {
				$message = "{$mklib->lang['konkurs_maxupl']} " . $mklib->config['konkurs_upload_image_max'] . " kb.";
				$mklib->error_page($message);
				exit;
			}
						
			if (!move_uploaded_file("$file", "mkportal/modules/konkurs/album/tmp/$file_name")) {
				$message = "{$mklib->lang['konkurs_errorupl']}";
				$mklib->error_page($message);
				exit;
			}
			@chmod("mkportal/modules/konkurs/album/tmp/$file_name", 0644);

			//Validate by mime type
			$tmpfilename = "mkportal/modules/konkurs/album/tmp/$file_name";
			$size = @getimagesize($tmpfilename);
			//If getimagesize does not recognize file as an image delete file
			if (!$size)  {
				@unlink($tmpfilename);
				$message .= "{$mklib->lang['konkurs_notsup']}";
				$mklib->error_page($message);
				exit;
			}

			$imgsize = GetImageSize($tmpfilename);
			if ($mklib->config['konkurs_image_max_dimen'] > 0 && ($imgsize[0] > $mklib->config['konkurs_image_max_dimen'] || $imgsize[1] > $mklib->config['konkurs_image_max_dimen'])) {
				$message = "{$mklib->lang['konkurs_imgmaxdimenover']} {$mklib->config['konkurs_image_max_dimen']} px.";
				$mklib->error_page($message);
				exit;
			}

			$file_type = $size['mime'];

			if (!$mklib->check_attach($file_type, $file_ext))  {
				//Delete invalid file and display error
				@unlink($tmpfilename);
				$message .= "{$mklib->lang['konkurs_notsup']}";
				$mklib->error_page($message);
				exit;
			}	
			//Validate by file contents
			$fcontents = file_get_contents ($tmpfilename);
			$carray = array("html", "javascript", "vbscript", "alert", "onmouseover", "onclick", "onload", "onsubmit");		
			foreach ($carray as $fch) {
            			if (strstr($fcontents, $fch)) {
                			@unlink($tmpfilename);
					$message .= "{$mklib->lang['konkurs_notsup']}";
					$mklib->error_page($message);
                			exit;
            			}
        		}
        		if (preg_match("#script(.+?)/script#ies", $fcontents)) {
           			@unlink($tmpfilename);
				$message .= "{$mklib->lang['konkurs_notsup']}";
				$mklib->error_page($message);
            			exit;
        		}

			$query = $DB->query("SELECT id FROM konkurs_foto ORDER BY id DESC LIMIT 1");
			$rowfid = $DB->fetch_row($query);
			$totr = $rowfid['id'];
			++$totr;

			$image = "k"."$totr"."$ext";

			//move file from "tmp" directory to "album" directory
			@rename($tmpfilename, "mkportal/modules/konkurs/album/$kid/$image");

//---------------------- resize ---------------------
			if ($mklib->config['konkurs_image_resizeto'] > 0){
				$Size=$mklib->config['konkurs_image_resizeto'];
				$filepath="mkportal/modules/konkurs/album/$kid/$image";
				static $gd_version_number = null;
		   		if ($gd_version_number === null) {
		       			ob_start();
		       			phpinfo(8);
		       			$module_info = ob_get_contents();
		       			ob_end_clean();
		       			if (preg_match("/\bgd\s+version\b[^\d\n\r]+?([\d\.]+)/i", $module_info,$matches)) {
		           			$gd_version_number = $matches[1];
					}
		   		}
				if ($gd_version_number) {
					//getting the image dimensions  
					$imgSrc = $source;
					$imgsize = GetImageSize($filepath);
					$width = $imgsize[0];
					$height = $imgsize[1];
					// Max height & Max width
					if($width > $Size || $height > $Size){ //big image

						if($width > $height && $width > $Size){ //horizontal image
			               			$new_width = $Size;
			               			$new_height = ceil($Size * $height / $width);                
			       			} else if ($width < $height && $height > $Size) { //vertical image
			               			$new_height = $Size;
			               			$new_width = ceil($Size * $width / $height);
			       			} 
						if (preg_match("/jpg|jpeg/",$imgsize['mime'])){$myImage= @ImageCreateFromJPEG($filepath);}  
						if (preg_match("/png/",$imgsize['mime'])){$myImage= @imagecreatefrompng($filepath);}  
						if (preg_match("/gif/",$imgsize['mime'])){$myImage= @imagecreatefromgif($filepath);}
						if ($myImage && $gd_version_number >= 2) {
							$foto=@ImageCreateTrueColor($new_width,$new_height);
						}
						if ($myImage && $gd_version_number < 2) {
							$foto = @ImageCreate($new_width,$new_height);
						}
						if ($foto) {
							@imagecopyresampled($foto,$myImage,0,0,0,0,$new_width,$new_height,ImageSX($myImage),ImageSY($myImage));
							ImageJPEG($foto,$filepath,$mklib->config['konkurs_image_jpg_quality']); 
							imagedestroy($foto);
							imagedestroy($myImage);
						}
					}
				}
			}

//----------------------------end resize ------------------

		}

		if (!is_file ("mkportal/modules/konkurs/album/$kid/$image")) {
			$message = "{$mklib->lang['konkurs_errorupl']}";
			$mklib->error_page($message);
			exit;
		}
		
		$cdata = time();
		$thumb = "t_$image";

		$mklib->CreateImage($mklib->config['konkurs_thumb_max_dimen'],"mkportal/modules/konkurs/album/$kid/$image", "mkportal/modules/konkurs/album/$kid/$thumb");
		if ($mklib->config['konkurs_wm']) {
			$mklib->watermark("mkportal/modules/konkurs/album/$kid/$image");
		}

		$query="INSERT INTO konkurs_foto(file, title, description, kid, uid, uname, data)VALUES('$image', '$title', '$description', '$kid', '$uid', '$uname', '$cdata')";
		$DB->query($query);
		$DB->close_db();

	 	Header("Location: index.php?ind=konkurs&kid=$kid");
//		exit;
		
//  	}

// ----------------------- END ADD ------------------------------------

	break;

	case 'join':
		$output .= "
		    <form action=\"index.php?ind=konkurs&kid=$kid&amp;op=add_file\" name=\"UPLOAD\" method=\"post\" enctype=\"multipart/form-data\">
		    <table align=\"center\" border=\"0\">
		      <tr>
			<td colspan=2 align=center>{$mklib->lang['ga_upto']} <b>{$row['title']}</b></td>
			  </td>
			</tr>
			<tr>
			  <td>{$mklib->lang['konkurs_title']}</td>
			  <td><input type=\"text\" name=\"fototitle\" size=\"60\" class=\"bgselect\" /></td>
			</tr>
			<tr>
			  <td valign=\"top\">{$mklib->lang['konkurs_desc']}</td>
			  <td><textarea cols=\"60\" rows=\"5\" name=\"fotodesc\" class=\"bgselect\"></textarea></td>
			</tr>
			<tr>
			  <td>{$mklib->lang['konkurs_file']}</td>
			  <td><input type=\"file\" name=\"FILE_UPLOAD\" size=\"48\" class=\"bgselect\" /></td>
			</tr>
			<tr>
			  <td colspan=\"2\" align=center><input type=\"submit\" value=\"{$mklib->lang['konkurs_insert']}\" class=\"mkbutton\" /></td>
			</tr><tr>
		      				<td align=left colspan=\"2\">";
			if ($mklib->config['konkurs_image_max_dimen'] > 0 || $mklib->config['konkurs_upload_image_max'] > 0)
			{
				$output.="<b>{$mklib->lang['konkurs_limits']}</b><br>";
			}
			if ($mklib->config['konkurs_image_max_dimen'] > 0)
			{
				$output.="{$mklib->lang['konkurs_maxdimension']} <b>{$mklib->config['konkurs_image_max_dimen']} px.</b><br>";
			}
			if ($mklib->config['konkurs_upload_image_max'] > 0)
			{
				$output.="{$mklib->lang['konkurs_maxfilesize']} <b>{$mklib->config['konkurs_upload_image_max']} kb.</b>";
			}


			$output.="</td></tr></table>
		      </form>
		";
	break;

	case 'rules':
		$output .="<table width=\"100%\" border=\"0\" cellspacing=\"5\"><tr>
			<td>
			<div class=\"kon_rules\">{$row['rules']}</div>
			</td></tr></table>
			";
	break;

	case 'prizes':
		if ($row['prize1']) {
			$query = $DB->query( "select * FROM konkurs_prizes WHERE id = '{$row['prize1']}'");
			$prize1 = $DB->fetch_row($query);

			$output.="<table width=\"100%\" border=\"0\" cellspacing=\"5\"><tr valign=\"top\">
				<td><a href=\"/mkportal/modules/konkurs/prizes/{$prize1['foto']}\" target=\"_blank\"><img width=\"120\" src=\"/mkportal/modules/konkurs/prizes/{$prize1['foto']}\"></a></td>
				<td><div class=\"prize_title\"><b>{$prize1['title']}</b></div><div class=\"prize_op\">{$prize1['description']}</div><br>
                                <div><b>{$mklib->lang['ad_sponsor']}:</b></div><div class=\"sponsortitle\">{$prize1['sponsor']}</div>
                                <div><a href=\"{$prize1['url']}\" target=\"_blank\" class=\"sponsorurl\">{$prize1['url']}</a></div>
				</td></tr>
				<tr><td colspan=\"2\"><table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td height=1 bgcolor=#aaaaaa></td></tr></table></td></tr></table>
				
			";


		}

		if ($row['prize2']) {
			$query = $DB->query( "select * FROM konkurs_prizes WHERE id = '{$row['prize2']}'");
			$prize2 = $DB->fetch_row($query);
			$output.="<table width=\"100%\" border=\"0\" cellspacing=\"5\"><tr valign=\"top\">
				<td><a href=\"/mkportal/modules/konkurs/prizes/{$prize2['foto']}\" target=\"_blank\"><img width=\"120\" src=\"/mkportal/modules/konkurs/prizes/{$prize2['foto']}\" ></a></td>
				<td><div class=\"prize_title\"><b>{$prize2['title']}</b></div><div class=\"prize_op\">{$prize2['description']}</div><br>
                                <div><b>{$mklib->lang['ad_sponsor']}:</b></div><div class=\"sponsortitle\">{$prize2['sponsor']}</div>
                                <div><a href=\"{$prize2['url']}\" target=\"_blank\" class=\"sponsorurl\">{$prize2['url']}</a></div>
				</td></tr>
				<tr><td colspan=\"2\"><table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td height=1 bgcolor=#aaaaaa></td></tr></table></td></tr></table>
				
			";

		}

		if ($row['prize3']) {
			$query = $DB->query( "select * FROM konkurs_prizes WHERE id = '{$row['prize3']}'");
			$prize3 = $DB->fetch_row($query);

			$output.="<table width=\"100%\" border=\"0\" cellspacing=\"5\"><tr valign=\"top\">
				<td><a href=\"/mkportal/modules/konkurs/prizes/{$prize3['foto']}\" target=\"_blank\"><img width=\"120\" src=\"/mkportal/modules/konkurs/prizes/{$prize3['foto']}\"></a></td>
				<td><div class=\"prize_title\"><b>{$prize3['title']}</b></div><div class=\"prize_op\">{$prize3['description']}</div><br>
                                <div><b>{$mklib->lang['ad_sponsor']}:</b></div><div class=\"sponsortitle\">{$prize3['sponsor']}</div>
                                <div><a href=\"{$prize3['url']}\" target=\"_blank\" class=\"sponsorurl\">{$prize3['url']}</a></div>
				</td></tr>
				<tr><td colspan=\"2\"><table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td height=1 bgcolor=#aaaaaa></td></tr></table></td></tr></table>
				
			";

		}

		if ($row['prize4']) {
			$query = $DB->query( "select * FROM konkurs_prizes WHERE id = '{$row['prize4']}'");
			$prize4 = $DB->fetch_row($query);

			$output.="<table width=\"100%\" border=\"0\" cellspacing=\"5\"><tr valign=\"top\">
				<td><a href=\"/mkportal/modules/konkurs/prizes/{$prize4['foto']}\" target=\"_blank\"><img width=\"120\" src=\"/mkportal/modules/konkurs/prizes/{$prize4['foto']}\"></a></td>
				<td><div class=\"prize_title\"><b>{$prize4['title']}</b></div><div class=\"prize_op\">{$prize4['description']}</div><br>
                                <div><b>{$mklib->lang['ad_sponsor']}:</b></div><div class=\"sponsortitle\">{$prize4['sponsor']}</div>
                                <div><a href=\"{$prize4['url']}\" target=\"_blank\" class=\"sponsorurl\">{$prize4['url']}</a></div>
				</td></tr>
				<tr><td colspan=\"2\"><table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td height=1 bgcolor=#aaaaaa></td></tr></table></td></tr></table>
				
			";

		}

	break;

	case 'fotos':

		$query = $DB->query("SELECT count(*) as num FROM konkurs_foto where kid = '$kid'");
		$num = $DB->fetch_row($query);
		$konkurs_per_page = $mklib->config['konkurs_img_per_page'];
		$curpage=intval($mkportals->input['page']);
		$pages=ceil($num['num']/$konkurs_per_page);
		$url="index.php?ind=konkurs&kid=$kid&op=fotos&page=";
		$nav=LeftRight($num['num'],$curpage,$url,$konkurs_per_page);
	        $start=($curpage)*$konkurs_per_page;


		$query = $DB->query( "SELECT id, file, title  FROM konkurs_foto WHERE kid = '$kid' order by {$mklib->config['konkurs_sorttype']} {$mklib->config['konkurs_sortdir']} limit $start,$konkurs_per_page");

		$output.="<div align=center>$nav</div>";
		$output .= "<table width=\"100%\" border=\"0\" cellspacing=\"3\" cellpadding=\"3\"><tr>";
		$fcount=0;
		while( $lastrow = $DB->fetch_row() ) {
            		$output .=  "<td><a href=\"index.php?ind=konkurs&kid=$kid&op=fotoview&idf={$lastrow['id']}\"><img class=\"thumbslink\" src=\"/mkportal/modules/konkurs/album/$kid/t_{$lastrow['file']}\" border=\"0\" alt=\"{$lastrow['title']}\"></a></td>";
            		$fcount++;
			if ($fcount%$mklib->config['konkurs_img_per_row']==0) {
				$output.= "</tr><tr>";
			}

       	 	}
		$output .= "</tr></table>";

	break;

	case 'fotoview':
		$idf = intval($mkportals->input['idf']);
		$query = $DB->query( "SELECT id, file, rating, title, description, uname, kid, finrate, uid, votes  FROM konkurs_foto WHERE id = '$idf'");
		$fotorow = $DB->fetch_row($query);                                      
		if (!$fotorow) {
    			$message = $mklib->lang['konkurs_nofoto'];
    			$mklib->error_page($message);
    			exit;
		}

		$rate = $fotorow['rating'];
		$finrate = $fotorow['finrate'];

		$novote=0;
		if ($curtime < $row['votestart'] || $curtime > $row['voteend'] || $fotorow['kid'] != $kid) {
			$novote=1;
		}
// -----------------------   add rate
		$voteok = "";
		$rating = intval($mkportals->input['rating']);
		if ($rating) {
			$ipuser = $_SERVER['REMOTE_ADDR'];
			$data = time();

			if ($rating < 1 || $rating > 10 || $novote || !$uid) {
	    			$message = $mklib->lang['konkurs_badvote'];
	    			$mklib->error_page($message);
	    			exit;
			}
			$wherevote = "";
			if ($row['votetype'] == "2") {
				           $diff = $data - 86400;
				$wherevote = "AND data > $diff";
			}
			$query = $DB->query( "SELECT id FROM konkurs_rating WHERE uid = '$uid' AND fid = '$idf' $wherevote");
			$check = $DB->fetch_row($query);
	
			if($check) {
	    			$message = $mklib->lang['konkurs_voted'];
	    			$mklib->error_page($message);
	    			exit;
			} else {
				$query="INSERT INTO konkurs_rating(fid, kid, uid, uname, uip, rate, data)VALUES('$idf', '$kid', '$uid', '$uname', '$ipuser', '$rating', '$data')";
				$DB->query($query);
			}

			$query = $DB->query( "SELECT count(*) as count, sum(rate) as rate FROM `konkurs_rating` where fid = '$idf'");
			$raterow = $DB->fetch_row($query);
			$query = $DB->query( "SELECT max(votes) as vm FROM `konkurs_foto`");
			$vm = $DB->fetch_row($query);
			$vmax = $vm['vm'];
			$vcount = $raterow['count'];
			$vsum = $raterow['rate'];
			$rate = $vsum/$vcount;
			$DB->query("UPDATE konkurs_foto SET rating ='$rate', votes ='$vcount' WHERE id = '$idf'");
			$DB->query("UPDATE konkurs_foto SET finrate = (rating+votes*10/$vmax)/2");

			$voteok = "<div class=\"voteok\">{$mklib->lang['konkurs_voteok1']} $rating {$mklib->lang['konkurs_voteok2']}</div>";

		}

// -----------------------   add rate


		$query = $DB->query( "SELECT id FROM konkurs_foto WHERE id < $idf AND kid = '$kid' order by id desc limit 1");
		$row = $DB->fetch_row($query);
		$id_next = $row['id'];
		$query = $DB->query( "SELECT id FROM konkurs_foto WHERE id > $idf AND kid = '$kid' order by id limit 1");
		$row = $DB->fetch_row($query);
		$id_prev = $row['id'];
		if($id_prev) {
			$prevlink = "<a href=\"index.php?ind=konkurs&kid=$kid&op=fotoview&idf=$id_prev#foto\" class=\"prevlink\">&laquo;</a>";
		}
		if($id_next) {
			$nextlink = "<a href=\"index.php?ind=konkurs&kid=$kid&op=fotoview&idf=$id_next#foto\" class=\"nextlink\">&raquo;</a>";
		}


//------------------------------------------ rating -------------------------

//		if (!$iduser || $iduser == 0) { //Guests: check IP address
//			$query = $DB->query( "SELECT id FROM mkp_votes WHERE module = 'gallery' AND id_entry = '$id' AND ip = '$ipuser'");
//			$check = $DB->get_num_rows($query);
//		} else { //Registered Members: check userid
//		$query = $DB->query( "SELECT id, mark FROM mkp_votes WHERE module = 'experts' AND id_entry = '$ide' AND id_member = '$iduser'");
//		$check = $DB->fetch_row($query);
//		$check = $DB->get_num_rows($query);
//		}

		if(!$mkportals->member['id'] || $rating || $novote) {
			$disabled = "disabled=\"disabled\"";
			$rateok="";
		}

		switch(intval($finrate)) {
    			case '1':
			$check1="checked=\"checked\"";
    				break;
    			case '2':
			$check2="checked=\"checked\"";
    				break;
    			case '3':
			$check3="checked=\"checked\"";
    				break;
    			case '4':
			$check4="checked=\"checked\"";
    				break;
    			case '5':
			$check5="checked=\"checked\"";
    				break;
    			case '6':
			$check6="checked=\"checked\"";
    				break;
    			case '7':
			$check7="checked=\"checked\"";
    				break;
    			case '8':
			$check8="checked=\"checked\"";
    				break;
    			case '9':
			$check9="checked=\"checked\"";
    				break;
    			case '10':
			$check10="checked=\"checked\"";
    				break;
		}


		$ratecontent .= "
<script type=\"text/javascript\" src=\"mkportal/modules/konkurs/rating/jquery.js\"></script>
<script language=\"javascript\" type=\"text/javascript\" src=\"mkportal/modules/konkurs/rating/jquery.MetaData.js\"></script>
<script language=\"javascript\" type=\"text/javascript\" src=\"mkportal/modules/konkurs/rating/jquery.rating.js\"></script>
<link rel=\"stylesheet\" type=\"text/css\" href=\"mkportal/modules/konkurs/rating/jquery.rating.css\" />


  
    <form method=\"post\" id=\"ratea\" name=\"ratea\">
<script>
$(function(){
 $('.auto-submit-star').rating({
  callback: function(value, link){
   this.form.submit();
  }
 });
});
</script>

    <table border=0>
      <tr>
        <td>
	  <input type=\"hidden\" name=\"idf\" value=\"$idf\" />
	  <input type=\"radio\" tabindex=\"1\" name=\"rating\" value=\"1\" class=\"auto-submit-star\" $disabled $check1 />
  	  <input type=\"radio\" tabindex=\"2\" name=\"rating\" value=\"2\" class=\"auto-submit-star\" $disabled $check2 />
  	  <input type=\"radio\" tabindex=\"3\" name=\"rating\" value=\"3\" class=\"auto-submit-star\" $disabled $check3 />
  	  <input type=\"radio\" tabindex=\"4\" name=\"rating\" value=\"4\" class=\"auto-submit-star\" $disabled $check4 />
  	  <input type=\"radio\" tabindex=\"5\" name=\"rating\" value=\"5\" class=\"auto-submit-star\" $disabled $check5 />
  	  <input type=\"radio\" tabindex=\"6\" name=\"rating\" value=\"6\" class=\"auto-submit-star\" $disabled $check6 />
  	  <input type=\"radio\" tabindex=\"7\" name=\"rating\" value=\"7\" class=\"auto-submit-star\" $disabled $check7 />
  	  <input type=\"radio\" tabindex=\"8\" name=\"rating\" value=\"8\" class=\"auto-submit-star\" $disabled $check8 />
  	  <input type=\"radio\" tabindex=\"9\" name=\"rating\" value=\"9\" class=\"auto-submit-star\" $disabled $check9 />
  	  <input type=\"radio\" tabindex=\"10\" name=\"rating\" value=\"10\" class=\"auto-submit-star\" $disabled $check10 />
	</td><td>&nbsp;</td>
	<td>
		$rateok
	</td>
      </tr>		
    </table>
    </form>$voteok";

//---------------------------------------- end rating -----------------------

//-----------------comments
		$commoutput .= "
			    <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" class=\"moduleborder\">
			      <tr>
				<td>
				  <table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"5\">
				    <tr>
				      <td class=\"tdblock\" colspan=\"2\">
				      {$mklib->lang['konkurs_comments']}
				      </td>
				    </tr>
		";

		$query = $DB->query( "SELECT id, uname, comtext, data FROM konkurs_comments WHERE fid = '$idf' ORDER BY `id` DESC");
		while( $commrow = $DB->fetch_row($query) ) {
			$idcomm = $commrow['id'];
			$autorec = $commrow['uname'];
			$testo = $commrow['comtext'];
			$testo=str_replace("\n", "<br />",$testo);

			$data = $mklib->create_date($commrow['data'], "");
			$delete = "
				    <script type=\"text/javascript\">
				    function makesure() {
				    if (confirm('{$mklib->lang['konkurs_delconfirm']}')) {
				    return true;
				    } else {
				    return false;
				    }
				    }
				    </script><a href=\"index.php?ind=konkurs&kid=$kid&amp;op=del_comment&amp;idcomm=$idcomm&amp;idf=$idf\" onclick=\"return makesure()\">[ {$mklib->lang['ad_del']} ]</a>
			";
			if(!$mkportals->member['g_access_cp']) {
				$delete ="";
			}
			$commoutput .= "
				    <tr>
				      <td class=\"modulecell mkalign1\" width=\"20%\" valign=\"top\">{$autorec}<br />{$data}<br />{$delete}</td>
				      <td class=\"modulecell mkalign1\" width=\"80%\" valign=\"middle\">{$testo}</td>
				    </tr>
			";
		}

		$commoutput .= "
				  </table>
				</td>
			      </tr>
			    </table>
			";


    $subform .= "<table class=\"modulebg\" cellspacing=\"1\" cellpadding=\"0\" width=\"100%\" border=\"0\"> 
                <tr> 
                  <td class=\"tdblock\"> 
                    <a name=add></a> 
                <form action=\"/index.php?ind=konkurs&kid=$kid&op=add_comment\" name=\"editor\" method=\"post\" > 
                <table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"8\">         
                  <tr> 
                    <td align=\"center\" height=\"100%\"> 
                      <input type=\"hidden\" name=\"idf\" value=\"$idf\" />"; 

//    $subform .= $mklib_board->show_emoticons(); 
/*

	<tr>
		<td align=\"center\"><div>{$mklib->lang['konkurs_antispam']}</div><div style=\"font-family: arial, verdana, helvetica, sans-serif; color: #ff0000; font-size: 9pt; font-weight: bold; text-align: center;\">One + 2 = <input type=\"text\" name=\"xyu\" size=\"1\" maxlength=\"100\"></div></td>
	</tr>


*/

    $subform .= " 
                    </td></tr> 
                  <tr> 
                    <td width=\"70%\" class=\"mkalign1\"><div>{$mklib->lang['konkurs_addcomm']}</div>
                      <textarea cols=\"10\" style=\"width:100%\" rows=\"6\" name=\"ta\"></textarea> 
                    </td> 
                  </tr> 

                  <tr> 
                    <td align=\"center\"> 
                      <input type=\"submit\" name=\"submit\" value=\"{$mklib->lang['konkurs_add']}\" class=\"mkbutton\" accesskey=\"s\" /><br /> 
                    </td> 
                  </tr>         
                </table> 
                </form> 
                   
                  </td> 
                </tr> 
              </table>"; 
		if($mkportals->member['id'] && $mklib->config['konkurs_comments']){

		        $commoutput .= "$subform"; 

		} else {

		        $commoutput .= "<br><div align=center class=bgrey>{$mklib->lang['konkurs_comm_onlyreg']}</div>"; 
		}



//-----------------comments

		$image_details = @getimagesize("mkportal/modules/konkurs/album/$kid/{$fotorow['file']}");
		$imagesize_x = $image_details[0];
		if($imagesize_x < $mklib->config['konkurs_image_width_on_page']) {
			$width= $imagesize_x;
		} else {
			$width= $mklib->config['konkurs_image_width_on_page'];
		}

		if ($uid == $fotorow['uid'] || $mkportals->member['g_access_cp']) { // 

			$delpos= $width - 20;
			$delbutton ="<div style=\"border: 0px #ffffff dotted; overflow: hidden;position: absolute; width:16px;height:16px; margin-top: 10px;margin-left: {$delpos}px;\">
					<a href=\"/index.php?ind=konkurs&kid=$kid&op=delfoto&idf=$idf\"><img src=\"/mkportal/modules/konkurs/del.gif\" border=\"0\"  width=\"16\"  height=\"16\" alt=\"{$mklib->lang['ad_del']}\"></a>
					</div>";
			$fr = round($fotorow['finrate'], 2);
			$values = "<tr><td colspan=\"3\" class=\"values\">{$mklib->lang['konkurs_rating']}: $fr&nbsp;&nbsp;&nbsp;{$mklib->lang['konkurs_votes']}: {$fotorow['votes']}</td></tr>";
			
		}


		$vkshare = "<div style=\"border: 0px #ffffff dotted; overflow: hidden;position: absolute; width:120px;height:26px; margin-top: 10px;margin-left: 10px;\">
			<script type=\"text/javascript\" src=\"http://vkontakte.ru/js/api/share.js?9\" charset=\"windows-1251\"></script>
					<script type=\"text/javascript\">
					<!--
						document.write(VK.Share.button({
						  title: '[ {$mklib->lang['konkurs']} ] {$fotorow['title']}',
						  description: '{$fotorow['description']}',
						  image: '{$mklib->siteurl}/mkportal/modules/konkurs/album/$kid/{$fotorow['file']}',
						  noparse: true
						}));
					-->
					</script></div>";



       		$output .="<a name=\"foto\"></a><table align=\"center\" border=\"0\" cellspacing=\"5\" width=\"$width\">
			<tr><td colspan=\"3\" class=\"fototitle\">{$fotorow['title']}</td</tr>
			<tr><td>$prevlink&nbsp;</td><td align=\"center\" >$ratecontent</td><td align=\"right\">&nbsp;$nextlink</td></tr>
			$values
			<tr><td colspan=\"3\">$vkshare
                        $delbutton
			<img class=\"bigfoto\" src=\"/mkportal/modules/konkurs/album/$kid/{$fotorow['file']}\" border=\"0\"  width=\"$width\"  alt=\"{$fotorow['title']}\"></td></tr>
			<tr><td colspan=\"3\" class=\"fotodesc\">{$fotorow['description']}</td></tr>
			<tr><td colspan=\"3\" class=\"fotoauthor\">&nbsp;{$fotorow['uname']}&nbsp;&nbsp;</td></tr>
			</table>
			
			";
				$output .= $commoutput;



	break;
	case 'add_comment':

		$idf = intval($mkportals->input['idf']);
		$comtext = $mkportals->input['ta'];
		$comtext=str_replace("<br />", "\n",$comtext);
		$comtext=str_replace("<", "",$comtext);
		$comtext=str_replace("&lt;", "",$comtext);
//		$xyu = intval($mkportals->input['xyu']);
		if($mkportals->member['id']){
			$uname = $mkportals->member['name'];
			$uid = $mkportals->member['id'];
		} else {
			$message = "{$mklib->lang['konkurs_comm_onlyreg']}";
			$mklib->error_page($message);
			exit;
		}
        	$cdata = time();
//		if (!$comtext || $xyu!="3") {
		if (!$comtext) {
			$message = "";
			$mklib->error_page($message);
			exit;
		}
		$comtext = $mklib_board->decode_smilies($comtext);
		$comtext = $mklib->convert_savedb($comtext);
		//$testo = addslashes($testo);
		$query="INSERT INTO konkurs_comments(fid, kid, uid, uname, comtext, data)VALUES('$idf', '$kid', '$uid', '$uname', '$comtext', '$cdata')";
		$DB->query($query);
		$DB->close_db();
	 	Header("Location: /index.php?ind=konkurs&kid=$kid&op=fotoview&idf=$idf");
		exit;


	break;


	case 'del_comment':

		$idf = intval($mkportals->input['idf']);
		$idcomm = intval($mkportals->input['idcomm']);
		$DB->query("DELETE FROM konkurs_comments WHERE id='$idcomm'");
		$DB->close_db();
	 	Header("Location: /index.php?ind=konkurs&kid=$kid&op=fotoview&idf=$idf");
		exit;


	break;

	case 'delfoto':


		$idf = intval($mkportals->input['idf']);

		$output .="<p align=\"center\" class=\"confirmdel\">{$mklib->lang['konkurs_delconfirm']}</p><p align=\"center\"><form method=\"post\" id=\"delf\" name=\"delf\">
			<input class=\"delbutton\" type=\"submit\" name=\"yes\" value=\"{$mklib->lang['ad_yes']}\">&nbsp;&nbsp;
			<input  class=\"delbutton\" type=\"submit\" name=\"no\" value=\"{$mklib->lang['ad_no']}\"></form></p><br>";


		if ($mkportals->input['yes']) {
			$query = $DB->query( "SELECT id, kid, uid, file  FROM konkurs_foto WHERE id = '$idf'");
			$fotorow = $DB->fetch_row($query);                                      
			if (!$mkportals->member['g_access_cp'] && $uid != $fotorow['uid']) {
	       			$message = "{$mklib->lang['konkurs_noright']}";
				$mklib->error_page($message);
				exit;
			}

			$DB->query("DELETE FROM konkurs_comments WHERE fid='$idf'");
			$DB->query("DELETE FROM konkurs_rating WHERE fid='$idf'");
			$DB->query("DELETE FROM konkurs_foto WHERE id='$idf'");
			@unlink("mkportal/modules/konkurs/album/{$fotorow['kid']}/{$fotorow['file']}");
			@unlink("mkportal/modules/konkurs/album/{$fotorow['kid']}/t_{$fotorow['file']}");

			$DB->close_db();
		 	Header("Location: /index.php?ind=konkurs&kid=$kid");
			exit;
		}
		if ($mkportals->input['no']) {
		 	Header("Location: /index.php?ind=konkurs&kid=$kid&op=fotoview&idf=$idf");
			exit;
		}


	break;

	case 'archive':

		$query = $DB->query( "SELECT id, title, startdate, enddate  FROM konkurs_main WHERE published='3' order by startdate desc");
		$output .= "<table width=\"100%\" border=\"0\" cellspacing=\"3\" cellpadding=\"3\">";
		while( $arhrow = $DB->fetch_row() ) {
			$arhstartdate = date("d.m.Y",$arhrow['startdate']);
			$arhenddate = date("d.m.Y",$arhrow['enddate']);
            		$output .=  "<tr><td class=\"arhtd\" width=\"200\">$arhstartdate - $arhenddate</td><td class=\"arhtd\"><a href=\"index.php?ind=konkurs&kid={$arhrow['id']}\">{$arhrow['title']}</td></tr>";
       	 	}
		$output .= "</table>";



	break;



       	default:

		if ($konstatus == 1 ) {
			$query = $DB->query( "SELECT id, file, title  FROM konkurs_foto WHERE kid = '$kid' order by id DESC limit 0,5");
			$lastfoto = "<table width=\"100%\" border=\"0\" cellspacing=\"2\" cellpadding=\"2\"><tr>";
			while( $lastrow = $DB->fetch_row() ) {
	            		$lastfoto .=  "<td><a href=\"index.php?ind=konkurs&kid=$kid&op=fotoview&idf={$lastrow['id']}\"><img class=\"thumbslink\" src=\"/mkportal/modules/konkurs/album/$kid/t_{$lastrow['file']}\" border=\"0\" alt=\"{$lastrow['title']}\"></a></td>";
	       	 	}
			$lastfoto .= "</tr></table>";
	
			$query = $DB->query( "SELECT id, file, title  FROM konkurs_foto WHERE kid = '$kid' order by finrate DESC limit 0,5");
			$bestfoto = "<table width=\"100%\" border=\"0\" cellspacing=\"2\" cellpadding=\"2\"><tr>";
			while( $bestrow = $DB->fetch_row() ) {
	            		$bestfoto .=  "<td><a href=\"index.php?ind=konkurs&kid=$kid&op=fotoview&idf={$bestrow['id']}\"><img class=\"thumbslink\" src=\"/mkportal/modules/konkurs/album/$kid/t_{$bestrow['file']}\" border=\"0\" alt=\"{$bestrow['title']}\"></a></td>";
	       	 	}
			$bestfoto .= "</tr></table>";
	
			$output .="<table width=\"100%\" border=\"0\" cellspacing=\"5\">
				<tr><td><div class=\"lastfoto\">{$mklib->lang['konkurs_last']}</div>$lastfoto</td></tr>
				<tr><td><div class=\"bestfoto\">{$mklib->lang['konkurs_best']}</div>$bestfoto</td></tr>
				</table>
				";
		}
		if ($konstatus > 1 ) {
			$output .="<p class=\"konfinish\">{$mklib->lang['konkurs_konfinish']}</p>
				<p class=\"congratulations\">{$mklib->lang['konkurs_congratulations']}</p>
				";
		}
//		if ($mkportals->member['g_access_cp']){

		$winimg1 = "<a href=\"#\"><img class=\"thumbslink\" src=\"/mkportal/modules/konkurs/no_chi.jpg\" border=\"0\"></a>";
		$winimg2 = "<a href=\"#\"><img class=\"thumbslink\" src=\"/mkportal/modules/konkurs/no_chi.jpg\" border=\"0\"></a>";
		$winimg3 = "<a href=\"#\"><img class=\"thumbslink\" src=\"/mkportal/modules/konkurs/no_chi.jpg\" border=\"0\"></a>";
		$winimg4 = "<a href=\"#\"><img class=\"thumbslink\" src=\"/mkportal/modules/konkurs/no_chi.jpg\" border=\"0\"></a>";

		if ($row['winner1']) {
			$query = $DB->query( "select * FROM konkurs_foto WHERE id = '{$row['winner1']}'");
			$win1 = $DB->fetch_row($query);
			$winimg1 = "<a href=\"index.php?ind=konkurs&kid=$kid&op=fotoview&idf={$win1['id']}\"><img class=\"thumbslink\" src=\"/mkportal/modules/konkurs/album/$kid/t_{$win1['file']}\" border=\"0\"></a>";
		}
		if ($row['winner2']) {
			$query = $DB->query( "select * FROM konkurs_foto WHERE id = '{$row['winner2']}'");
			$win2 = $DB->fetch_row($query);
			$winimg2 = "<a href=\"index.php?ind=konkurs&kid=$kid&op=fotoview&idf={$win2['id']}\"><img class=\"thumbslink\" src=\"/mkportal/modules/konkurs/album/$kid/t_{$win2['file']}\" border=\"0\"></a>";
		}
		if ($row['winner3']) {
			$query = $DB->query( "select * FROM konkurs_foto WHERE id = '{$row['winner3']}'");
			$win3 = $DB->fetch_row($query);
			$winimg3 = "<a href=\"index.php?ind=konkurs&kid=$kid&op=fotoview&idf={$win3['id']}\"><img class=\"thumbslink\" src=\"/mkportal/modules/konkurs/album/$kid/t_{$win3['file']}\" border=\"0\"></a>";
		}
		if ($row['winner4']) {
			$query = $DB->query( "select * FROM konkurs_foto WHERE id = '{$row['winner4']}'");
			$win4 = $DB->fetch_row($query);
			$winimg4 = "<a href=\"index.php?ind=konkurs&kid=$kid&op=fotoview&idf={$win4['id']}\"><img class=\"thumbslink\" src=\"/mkportal/modules/konkurs/album/$kid/t_{$win4['file']}\" border=\"0\"></a>";
		}

		$output .="<table border=\"0\" cellspacing=\"5\" ALIGN=\"center\" height=\"360\" width=\"660\">
			<tr><td VALIGN=\"top\">

<div style=\"border: 0px #ff0000 solid;position: absolute; margin-top: 0px;margin-left: 0px;width:650px;height:350px;\">
<img src=\"/mkportal/modules/konkurs/podium.png\"></div>

<div style=\"border: 0px #ff0000 solid;position: absolute; margin-top: 90px;margin-left: 60px;width:120px;height:120px;\">
$winimg2</div>

<div style=\"border: 0px #ff0000 solid;position: absolute; margin-top: 50px;margin-left: 260px;width:120px;height:120px;\">
$winimg1</div>

<div style=\"border: 0px #ff0000 solid;position: absolute; margin-top: 110px;margin-left: 460px;width:120px;height:120px;\">
$winimg3</div>
</td></tr></table>
			";

		if ($row['prize4']) {

			$output .="<table border=\"0\" cellspacing=\"5\" ALIGN=\"center\" height=\"322\" width=\"243\">
				<tr><td VALIGN=\"top\">

				<div style=\"border: 0px #ff0000 solid;position: absolute; margin-top: 0px;margin-left: 0px;width:233px;height:312px;\">
				<img src=\"/mkportal/modules/konkurs/specpodium.png\"></div>

				<div style=\"border: 0px #ff0000 solid;position: absolute; margin-top: 25px;margin-left: 52px;width:120px;height:120px;\">
				$winimg4</div>

				</td></tr></table>";
		}


//		}
	break;

} // switch

} else {  //   if $row
	$output .="<div align=\"center\">{$mklib->lang['konkurs_no']}</div>";
}
	$output .="</td></tr>";
	$output .="<tr><td align=\"center\"><a href=\"http://www.mokrousov.org\" target=\"_blank\">{$mklib->lang['konkurs']}</a> &copy; 2010 <a href=\"http://www.mokrousov.org\" target=\"_blank\">mokrousov.org</a></td></tr>";
	$blocks .= $Skin->view_block("{$mklib->lang['konkurs']}", $output);
	$mklib->printpage("1", "1", "{$mklib->lang['konkurs']}", $blocks);


function LeftRight($records,$r_start,$URL,$inpage) {
global $mkportals, $mklib, $Skin, $DB;
    $str="";

    if ($records<=$inpage) return;
    if ($r_start!=0) {
        $str.="<a href=".$URL."0>&lt;&lt</a> ";
        $str.="<a href=$URL".($r_start-1).">&lt;</a> ";
        }
    else $str.="&lt;&lt &lt; ";

    if ($r_start==0) {$sstart=$r_start-0;$send=$r_start+10;}
    if ($r_start==1) {$sstart=$r_start-1;$send=$r_start+9;}
    if ($r_start==2) {$sstart=$r_start-2;$send=$r_start+8;}
    if ($r_start==3) {$sstart=$r_start-3;$send=$r_start+7;}
    if ($r_start==4) {$sstart=$r_start-4;$send=$r_start+6;}
    if ($r_start>=5) {$sstart=$r_start-5;$send=$r_start+5;}

    if ($send*$inpage>$records) $send=$records/$inpage;
    if ($sstart<0) $sstart=0;

    if ($records%$inpage==0) $add=0; else $add=1;

    for ($i=$sstart;$i<$send;$i++) {
        if ($i==$r_start) $str.=" <B><span class=\"mktxtcontr\">".($i+1)."</span></B> | ";
        else $str.="<a href=$URL".($i)."><U><B>".($i+1)."</B></U></a> |  ";
        }

    if ($r_start+(1-$add)<intval($records/$inpage)) {
        $str.=" <a href=$URL".($r_start+1).">&gt;</a>";
        $str.=" <a href=$URL".(intval($records/$inpage)-(1-$add)).">&gt;&gt;</a>";
        }
    else $str.=" &gt; &gt;&gt";
    return($str);
}


?>
