<?php
/*
+--------------------------------------------------------------------------
##############################################################
## MOD Title:    MKPortal
## MOD Author: BMG < boris@mokrousov.org > http://www.mokrousov.org
## MOD Version: 0.1
##############################################################
+--------------------------------------------------------------------------
*/
if (!defined("IN_MKP")) {
    die ("Sorry !! You cannot access this file directly.");
}

$idx = new mk_ad_konkurs;                                      
class mk_ad_konkurs {

	function mk_ad_konkurs() {
		global $mkportals, $mklib;
		$mklib->load_lang("lang_konkurs.php");
		switch($mkportals->input['op']) {
			case 'options':
    				$this->main();
    			break;
			case 'save_main':
    				$this->save_main();
    			break;
			case 'kon':
    				$this->kon();
    			break;
			case 'addkon':
    				$this->addkon();
    			break;
			case 'bid':
    				$this->bidders();
    			break;
			case 'prize':
    				$this->prize();
    			break;
			case 'addprize':
    				$this->addprize();
    			break;
			case 'save_padd':
    				$this->save_padd();
    			break;
			case 'save_pedit':
    				$this->save_pedit();
    			break;
			case 'editprize':
    				$this->editprize();
    			break;
			case 'delprize':
    				$this->delprize();
    			break;
			case 'save_kadd':
    				$this->save_kadd();
    			break;
			case 'save_kedit':
    				$this->save_kedit();
    			break;
			case 'editkon':
    				$this->editkon();
    			break;
			case 'delkon':
    				$this->delkon();
    			break;
			case 'comments':
    				$this->comments();
    			break;
			case 'del_comment':
    				$this->delcomm();
    			break;
			case 'showfoto':
    				$this->showfoto();
    			break;

    			default:
    				$this->main();
    			break;
    		}
	}

function showfoto() {
global $mkportals, $DB, $mklib, $Skin;

	$content.= $this->menu();

	$idf = $mkportals->input['idf'];

		$query = $DB->query( "SELECT id, file, title, kid, description, uname, rating, finrate, votes, data FROM konkurs_foto where id = '$idf'");
		$row = $DB->fetch_row($query);


		$image_details = getimagesize("../modules/konkurs/album/{$row['kid']}/{$row['file']}");
		$imagesize_x = $image_details[0];
		if($imagesize_x < $mklib->config['konkurs_image_width_on_page']) {
			$width= $imagesize_x;
		} else {
			$width= $mklib->config['konkurs_image_width_on_page'];
		}
		$content .= "
			<link rel=\"stylesheet\" type=\"text/css\" href=\"/mkportal/modules/konkurs/konkurs.css\" />
			<table align=\"center\" border=\"0\" cellspacing=\"5\" width=\"$width\">
			<tr><td class=\"fototitle\">{$row['title']}</td</tr>
			<tr><td>
			<img class=\"bigfoto\" src=\"/mkportal/modules/konkurs/album/{$row['kid']}/{$row['file']}\" border=\"0\"  width=\"$width\"  alt=\"{$row['title']}\"></td></tr>
			<tr><td class=\"fotodesc\">{$row['description']}</td></tr>
			<tr><td class=\"fotoauthor\">{$row['uname']}</td></tr>
			<tr><td class=\"values\">{$mklib->lang['konkurs_rating']}: {$row['rating']}&nbsp;&nbsp;&nbsp;{$mklib->lang['konkurs_rating']} (fin): {$row['finrate']}&nbsp;&nbsp;&nbsp;{$mklib->lang['konkurs_votes']}: {$row['votes']}</td></tr>
			</table>
			    <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" class=\"moduleborder\">
			      <tr>
				<td>
				  <table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"5\">
				    <tr>
				      <td class=\"tdblock\" colspan=\"4\">
				      </td>
				    </tr>
		";

		$query = $DB->query( "SELECT id, uname, uip, rate, data FROM konkurs_rating where fid = '$idf' ORDER BY `data` DESC");
		while( $raterow = $DB->fetch_row($query) ) {
			$autor = $raterow['uname'];
			$uip = $raterow['uip'];
			$rate = $raterow['rate'];
			$data = $mklib->create_date($raterow['data'], "");
			$content .= "
				    <tr>
				      <td class=\"modulecell mkalign1\" valign=\"top\">{$autor}</td>
				      <td class=\"modulecell mkalign1\" valign=\"top\">{$uip}</td>
				      <td class=\"modulecell mkalign1\" valign=\"top\">{$rate}</td>
				      <td class=\"modulecell mkalign1\" valign=\"top\">{$data}</td>
				    </tr>
			";
		}

		$content .= "
				  </table>
				</td>
			      </tr>
			    </table>
			";
		
	$output = $Skin->view_block("{$mklib->lang['konkurs']}", $content);
	$mklib->printpage_admin("{$mklib->lang['konkurs']}", $output);
}



function delcomm() {
global $mkportals, $DB, $mklib;
		
		$idcomm = intval($mkportals->input['idcomm']);
		$DB->query("DELETE FROM konkurs_comments WHERE id='$idcomm'");
		$DB->close_db();
		Header("Location: index.php?ind=ad_konkurs&op=comments");
		exit;               
}




function comments() {
global $mkportals, $DB, $mklib, $Skin;

	$content.= $this->menu();

	$ide = $mkportals->input['kid'];
	$ksel = $this->konlist($ide);
	$content .="
		<form name=\"konbid\" method=\"post\">
		<select name=\"kid\" size=\"1\" class=\"bgselect\">
			$ksel	
        	</select><input type=\"submit\" value=\"OK\" class=\"mkbutton\" /></form>";

		$content .= "
			    <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" class=\"moduleborder\">
			      <tr>
				<td>
				  <table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"5\">
				    <tr>
				      <td class=\"tdblock\" colspan=\"3\">
				      {$mklib->lang['konkurs_comments']}
				      </td>
				    </tr>
		";

		$query = $DB->query( "SELECT id, fid, kid, uname, comtext, data FROM konkurs_comments where kid = '$ide' ORDER BY `id` DESC");
		while( $commrow = $DB->fetch_row($query) ) {
			$idcomm = $commrow['id'];
			$autorec = $commrow['uname'];
			$testo = $commrow['comtext'];
			$testo=str_replace("\n", "<br />",$testo);

			$data = $mklib->create_date($commrow['data'], "");
			$delete = "
				    <script type=\"text/javascript\">
				    function makesure() {
				    if (confirm('{$mklib->lang['konkurs_delconfirm']}')) {
				    return true;
				    } else {
				    return false;
				    }
				    }
				    </script><a href=\"index.php?ind=ad_konkurs&op=del_comment&amp;idcomm=$idcomm\" onclick=\"return makesure()\">[ {$mklib->lang['ad_del']} ]</a>
			";
			$content .= "
				    <tr>
				      <td class=\"modulecell mkalign1\" width=\"60\" valign=\"top\">
<a href=\"/index.php?ind=konkurs&op=fotoview&idf={$commrow['fid']}\" target=\"_blank\"><img class=\"thumbslink\" src=\"/mkportal/modules/konkurs/album/{$commrow['kid']}/t_k{$commrow['fid']}.jpg\" border=\"0\" width=\"60\"></a>
</td>
				      <td class=\"modulecell mkalign1\" width=\"10%\" valign=\"top\">{$autorec}<br />{$data}<br />{$delete}</td>
				      <td class=\"modulecell mkalign1\" width=\"80%\" valign=\"middle\">{$testo}</td>
				    </tr>
			";
		}

		$content .= "
				  </table>
				</td>
			      </tr>
			    </table>
			";
		
	$output = $Skin->view_block("{$mklib->lang['konkurs']}", $content);
	$mklib->printpage_admin("{$mklib->lang['konkurs']}", $output);
}


function bidders() {
global $mkportals, $DB, $mklib, $Skin;

	$content.= $this->menu();

	$ide = $mkportals->input['kid'];
	$sortid = $mkportals->input['sortid'];
	$ksel = $this->konlist($ide);
	$ssel = $this->sortlist($sortid);
	$content .="
		<form name=\"konbid\" method=\"post\">
		<select name=\"kid\" size=\"1\" class=\"bgselect\">
			$ksel	
        	</select>
		<select name=\"sortid\" size=\"1\" class=\"bgselect\">
			$ssel	
        	</select>
		<input type=\"submit\" value=\"OK\" class=\"mkbutton\" />
		</form>";

		switch($sortid) {
			case '0':
    			$sqlsort=" ORDER BY id DESC";
    		break;
			case '1':
    			$sqlsort=" ORDER BY votes DESC";
    		break;
			case '2':
    			$sqlsort=" ORDER BY rating DESC";
    		break;
			case '3':
    			$sqlsort=" ORDER BY finrate DESC";
    		break;
    		default:
    			$sqlsort=" ORDER BY ID DESC";
    		break;
		}

	if ($ide) {
		$query = $DB->query( "SELECT id, title, file, description, uname, rating, votes, finrate FROM konkurs_foto where kid = '$ide' $sqlsort");
		while( $row = $DB->fetch_row($query) ) {

			$content .="
				<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"2\">
				<tr>
					<td rowspan=\"4\" width=\"70\"><img width=\"60\" src=\"/mkportal/modules/konkurs/album/$ide/t_{$row['file']}\" border=\"0\"></td>
					<td width=\"160\">{$mklib->lang['konkurs_author']} {$row['uname']}</td>
					<td><a href=\"index.php?ind=ad_konkurs&amp;op=showfoto&amp;idf={$row['id']}\"><b>{$row['title']}</b></a></td>
				</tr>
				<tr>
					<td>{$mklib->lang['konkurs_rating']}: {$row['rating']}</td>
					<td rowspan=\"3\" valign=\"top\">{$row['description']}</td>
				</tr>
				<tr><td>{$mklib->lang['konkurs_rating']}(fin): {$row['finrate']}</td></tr>
				<tr><td>{$mklib->lang['konkurs_votes']}: {$row['votes']}</td></tr>

				<tr><td colspan=\"3\"><table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td height=1 bgcolor=#aaaaaa></td></tr></table></td></tr>

				</table>


				";

		}
	}

	$output = $Skin->view_block("{$mklib->lang['konkurs']}", $content);
	$mklib->printpage_admin("{$mklib->lang['konkurs']}", $output);
}

function bidlist($id) {
	global $mkportals, $mklib, $DB, $Skin;
	$query = $DB->query( "SELECT id, title FROM konkurs_foto order by id desc");
	while( $row = $DB->fetch_row($query) ) {
		if ($row['id'] == $id) {
			$bsel .= "<option value=\"{$row['id']}\" selected>({$row['id']}) {$row['title']}</option>\n";
		} else {
			$bsel .= "<option value=\"{$row['id']}\">({$row['id']}) {$row['title']}</option>\n";
		}
	}
	return $bsel;
}
function konlist($id) {
	global $mkportals, $mklib, $DB, $Skin;
	$query = $DB->query( "SELECT id, title FROM konkurs_main");
	while( $row = $DB->fetch_row($query) ) {
		if ($row['id'] == $id) {
			$ksel .= "<option value=\"{$row['id']}\" selected>{$row['title']}</option>\n";
		} else {
			$ksel .= "<option value=\"{$row['id']}\">{$row['title']}</option>\n";
		}
	}
	return $ksel;
}

function sortlist($sortid) {
	global $mkportals, $mklib, $DB, $Skin;

		switch($sortid) {
			case '0':
    			$sortsel1="selected";
    		break;
			case '1':
    			$sortsel2="selected";
    		break;
			case '2':
    			$sortsel3="selected";
    		break;
			case '3':
    			$sortsel4="selected";
    		break;
    		default:
    			$sortsel1="selected";
    		break;
		}


	$ssel .= "<option value=\"0\" $sortsel1>ID</option>\n";
	$ssel .= "<option value=\"1\" $sortsel2>{$mklib->lang['konkurs_votes']}</option>\n";
	$ssel .= "<option value=\"2\" $sortsel3>{$mklib->lang['konkurs_rating']}</option>\n";
	$ssel .= "<option value=\"3\" $sortsel4>{$mklib->lang['konkurs_rating']} (fin)</option>\n";
	return $ssel;
}



function delkon() {
global $mkportals, $DB, $mklib;
		

$ide = $mkportals->input['id'];

$dir = "../modules/konkurs/album/$ide/";

if (is_dir($dir)) {
    if ($dh = opendir($dir)) {
        while (($file = readdir($dh)) !== false) {
		if($file != "." && $file != ".."){
	                unlink($dir.$file);                   
		}
        }
        closedir($dh);
    }
    rmdir($dir);
}  
	$DB->query("DELETE FROM konkurs_foto WHERE kid = $ide");
	$DB->query("DELETE FROM konkurs_rating WHERE kid = $ide");
	$DB->query("DELETE FROM konkurs_main WHERE id = $ide");

	Header("Location: index.php?ind=ad_konkurs&op=kon");
	exit;               
}



function save_main() {
global $mkportals, $DB, $mklib;
		

		$status = $mkportals->input['stato'];
		$wm = $mkportals->input['water'];
		$img_per_page = $mkportals->input['img_per_page'];
		$img_per_row = $mkportals->input['img_per_row'];
		$upload_image_max = $mkportals->input['upload_image_max'];
		$image_max_dimen = $mkportals->input['image_max_dimen'];
		$image_width_on_page = $mkportals->input['image_width_on_page'];
		$image_resizeto = $mkportals->input['image_resizeto'];
		$image_jpg_quality = $mkportals->input['image_jpg_quality'];
		$thumb_max_dimen = $mkportals->input['thumb_max_dimen'];
		$kon_per_page = $mkportals->input['kon_per_page'];
		$sorttype = $mkportals->input['sorttype'];
		$sortdir = $mkportals->input['sortdir'];
		$comm = $mkportals->input['comments'];
		
		$DB->query("UPDATE mkp_config SET valore ='$status' WHERE chiave = 'mod_konkurs'");
		$DB->query("UPDATE mkp_config SET valore ='$wm' WHERE chiave = 'konkurs_wm'");
		$DB->query("UPDATE mkp_config SET valore ='$img_per_page' WHERE chiave = 'konkurs_img_per_page'");
		$DB->query("UPDATE mkp_config SET valore ='$img_per_row' WHERE chiave = 'konkurs_img_per_row'");
		$DB->query("UPDATE mkp_config SET valore ='$upload_image_max' WHERE chiave = 'konkurs_upload_image_max'");
		$DB->query("UPDATE mkp_config SET valore ='$image_max_dimen' WHERE chiave = 'konkurs_image_max_dimen'");
		$DB->query("UPDATE mkp_config SET valore ='$image_width_on_page' WHERE chiave = 'konkurs_image_width_on_page'");
		$DB->query("UPDATE mkp_config SET valore ='$image_resizeto' WHERE chiave = 'konkurs_image_resizeto'");
		$DB->query("UPDATE mkp_config SET valore ='$image_jpg_quality' WHERE chiave = 'konkurs_image_jpg_quality'");
		$DB->query("UPDATE mkp_config SET valore ='$thumb_max_dimen' WHERE chiave = 'konkurs_thumb_max_dimen'");
		$DB->query("UPDATE mkp_config SET valore ='$kon_per_page' WHERE chiave = 'konkurs_per_page'");
		$DB->query("UPDATE mkp_config SET valore ='$sorttype' WHERE chiave = 'konkurs_sorttype'");
		$DB->query("UPDATE mkp_config SET valore ='$sortdir' WHERE chiave = 'konkurs_sortdir'");
		$DB->query("UPDATE mkp_config SET valore ='$comm' WHERE chiave = 'konkurs_comments'");
		Header("Location: index.php?ind=ad_konkurs&op=options&mode=saved");
		exit;               
}


	function editkon() {
		global $mkportals, $mklib, $DB, $Skin, $mklib_board;
		$id = $mkportals->input['id'];
		$query = $DB->query( "SELECT * FROM konkurs_main where id = '$id'");
		$row = $DB->fetch_row($query);
if ($row['votetype']==1) {
	$vtsel1="selected";
} else {
	$vtsel2="selected";
}


		switch($row['published']) {
			case '0':
    			$status1="checked=\"checked\"";
    		break;
			case '1':
    			$status2="checked=\"checked\"";
    		break;
			case '2':
    			$status3="checked=\"checked\"";
    		break;
			case '3':
    			$status4="checked=\"checked\"";
    		break;
    		default:
    			$status1="checked=\"checked\"";
    		break;
		}

		$winner1 = $this->bidlist($row['winner1']);
		$winner2 = $this->bidlist($row['winner2']);
		$winner3 = $this->bidlist($row['winner3']);
		$winner4 = $this->bidlist($row['winner4']);

		$prsel1 = $this->prizelist($row['prize1']);
		$prsel2 = $this->prizelist($row['prize2']);
		$prsel3 = $this->prizelist($row['prize3']);
		$prsel4 = $this->prizelist($row['prize4']);
		$cselect = $mklib_board->build_grouplist($row['biddergroup']);
		$content.= $this->menu();
		$rules= str_replace("<br />","\n",$row['rules']);
		$opisanie= str_replace("<br />","\n",$row['opisanie']);

		$content.="
<script type=\"text/javascript\" src=\"/mkportal/modules/konkurs/jquery-1.2.6.js\"></script>
<script type=\"text/javascript\" src=\"/mkportal/modules/konkurs/ui.datepicker.js\"></script>
<link rel=\"stylesheet\" type=\"text/css\" media=\"all\" href=\"/mkportal/modules/konkurs/calendar-system.css\" title=\"system\">
<script type=\"text/javascript\">
$(document).ready(function(){
    
  // ----  -----
  //$('#example').attachDatepicker();
  $('#konRange').attachDatepicker({
  	rangeSelect: true,
  	yearRange: '2009:2011',
  	firstDay: 1
  });
  $('#voteRange').attachDatepicker({
  	rangeSelect: true,
  	yearRange: '2009:2011',
  	firstDay: 1
  });


  // ----  -----
		
});
</script>

	    <form action=\"index.php?ind=ad_konkurs&amp;op=save_kedit&id=$id\" name=\"ADD_KON\" method=\"post\">
			    <table width=\"100%\" border=\"0\" cellspacing=\"10\" cellpadding=\"3\">
			      <tr>
				<td>{$mklib->lang['ad_status']}</td>
			       <td>{$mklib->lang['ad_status1']}&nbsp;<input type=\"radio\" value=\"0\" name=\"status\" $status1 />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				   {$mklib->lang['ad_status2']}&nbsp;<input type=\"radio\" value=\"1\" name=\"status\" $status2 />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				   {$mklib->lang['ad_status3']}&nbsp;<input type=\"radio\" value=\"2\" name=\"status\" $status3 />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				   {$mklib->lang['ad_status4']}&nbsp;<input type=\"radio\" value=\"3\" name=\"status\" $status4 />
</td>
			      </tr>
			      <tr>
				<td>{$mklib->lang['ad_kondate']}</td>
				<td><input type=\"text\" name=\"kondate\" id=\"konRange\" readonly value=\"" . date("d.m.Y",$row['startdate']) . " - " . date("d.m.Y",$row['enddate']) . "\" /></td>
			      </tr>
			      <tr>
				<td>{$mklib->lang['ad_votedate']}</td>
				<td><input type=\"text\" name=\"votedate\" id=\"voteRange\" readonly value=\"" . date("d.m.Y",$row['votestart']) . " - " . date("d.m.Y",$row['voteend']) . "\" /></td>
			      </tr>

			      <tr>
				<td>{$mklib->lang['ad_biddersgroup']}</td>
				<td>
				      <select name=\"idg\" size=\"1\" class=\"bgselect\">
				      {$cselect}
				      </select>
				</td>
			      </tr>
			      <tr>
				<td>{$mklib->lang['ad_votetype']}</td>
				<td>
				      <select name=\"vt\" size=\"1\" class=\"bgselect\">
					<option value=\"1\" $vtsel1>{$mklib->lang['ad_vt1']}</option>
					<option value=\"2\" $vtsel2>{$mklib->lang['ad_vt2']}</option>
				      </select>
				</td>
			      </tr>

			      <tr>
				<td>{$mklib->lang['konkurs_title']}</td>
				<td><input type=\"text\" name=\"title\" value=\"{$row['title']}\" size=\"100\"/></td>
			      </tr>

			      <tr>
				<td>{$mklib->lang['konkurs_desc']}</td>
				<td><textarea name=\"desc\" rows=\"5\" cols=\"100\">$opisanie</textarea></td>
			      </tr>
			      <tr>
				<td>{$mklib->lang['konkurs_prize1']}</td>
				<td>
				      <select name=\"pr1\" size=\"1\" class=\"bgselect\">
					<option value=\"0\">{$mklib->lang['ad_noprize']}</option>
					$prsel1	
				      </select>
				</td>
			      </tr>
			      <tr>
				<td>{$mklib->lang['konkurs_prize2']}</td>
				<td>
				      <select name=\"pr2\" size=\"1\" class=\"bgselect\">
					<option value=\"0\">{$mklib->lang['ad_noprize']}</option>
					$prsel2	
				      </select>

				</td>
			      </tr>
			      <tr>
				<td>{$mklib->lang['konkurs_prize3']}</td>
				<td>
				      <select name=\"pr3\" size=\"1\" class=\"bgselect\">
					<option value=\"0\">{$mklib->lang['ad_noprize']}</option>
					$prsel3	
				      </select>

				</td>
			      </tr>
			      <tr>
				<td>{$mklib->lang['konkurs_prize4']}</td>
				<td>
				      <select name=\"pr4\" size=\"1\" class=\"bgselect\">
					<option value=\"0\">{$mklib->lang['ad_noprize']}</option>
					$prsel4	
				      </select>

				</td>
			      </tr>

			      <tr>
				<td>{$mklib->lang['konkurs_winner1']}</td>
				<td>
				      <select name=\"win1\" size=\"1\" class=\"bgselect\">
					<option value=\"0\">{$mklib->lang['ad_nowinner']}</option>
					$winner1	
				      </select>

				</td>
			      </tr>
			      <tr>
				<td>{$mklib->lang['konkurs_winner2']}</td>
				<td>
				      <select name=\"win2\" size=\"1\" class=\"bgselect\">
					<option value=\"0\">{$mklib->lang['ad_nowinner']}</option>
					$winner2	
				      </select>

				</td>
			      </tr>
			      <tr>
				<td>{$mklib->lang['konkurs_winner3']}</td>
				<td>
				      <select name=\"win3\" size=\"1\" class=\"bgselect\">
					<option value=\"0\">{$mklib->lang['ad_nowinner']}</option>
					$winner3	
				      </select>

				</td>
			      </tr>
			      <tr>
				<td>{$mklib->lang['konkurs_winner4']}</td>
				<td>
				      <select name=\"win4\" size=\"1\" class=\"bgselect\">
					<option value=\"0\">{$mklib->lang['ad_nowinner']}</option>
					$winner4	
				      </select>

				</td>
			      </tr>



			      <tr>
				<td>{$mklib->lang['ad_fotonum']}</td>
				<td><input type=\"text\" name=\"fotonum\" value=\"{$row['fotonum']}\" size=\"3\"/></td>
			      </tr>



			      <tr>
				<td>{$mklib->lang['konkurs_rules']}:</td><td>
	 			<textarea id=\"ta\" name=\"rules\" rows=\"20\" cols=\"100\">$rules</textarea>
				</td>
			      </tr>

		      <tr>
			<td colspan=\"2\"><input type=\"submit\" value=\"{$mklib->lang['ad_insert']}\" class=\"mkbutton\" /></td>
		      </tr>
				</table></form>";


		$output = $Skin->view_block("{$mklib->lang['konkurs']}", $content);
		$mklib->printpage_admin("{$mklib->lang['konkurs']}", $output);
	}


	function save_kadd() {
		global $mkportals, $mklib, $DB, $Skin;

		$kondate = explode(" - ", $mkportals->input['kondate']);
		$konstart = explode(".",$kondate[0]);
		$konend = explode(".",$kondate[1]);
		$konstarttime = mktime(0,0,0,$konstart[1],$konstart[0],$konstart[2]);
		$konendtime = mktime(23,59,59,$konend[1],$konend[0],$konend[2]);

		$votedate = explode(" - ", $mkportals->input['votedate']);
		$votestart = explode(".",$votedate[0]);
		$voteend = explode(".",$votedate[1]);
		$votestarttime = mktime(0,0,0,$votestart[1],$votestart[0],$votestart[2]);
		$voteendtime = mktime(23,59,59,$voteend[1],$voteend[0],$voteend[2]);

		$idg = $mkportals->input['idg'];
		$vt = $mkportals->input['vt'];
		$title = $mkportals->input['title'];
		$opisanie = $mkportals->input['desc'];
		$pr1 = $mkportals->input['pr1'];
		$pr2 = $mkportals->input['pr2'];
		$pr3 = $mkportals->input['pr3'];
		$pr4 = $mkportals->input['pr4'];
		$fotonum = $mkportals->input['fotonum'];
		$rules = $mkportals->input['rules'];
		$query="INSERT INTO konkurs_main(startdate, enddate, votestart, voteend, title, opisanie, rules, biddergroup, votetype, prize1, prize2, prize3, prize4, fotonum)VALUES('$konstarttime', '$konendtime', '$votestarttime', '$voteendtime', '$title', '$opisanie', '$rules', '$idg', '$vt', '$pr1', '$pr2', '$pr3', '$pr4', '$fotonum')";
		$DB->query($query);
		$ide=mysql_insert_id();
		mkdir("../modules/konkurs/album/$ide");

		Header("Location: index.php?ind=ad_konkurs&op=kon");

	}
	function save_kedit() {
		global $mkportals, $mklib, $DB, $Skin;

		$id = $mkportals->input['id'];
		$kondate = explode(" - ", $mkportals->input['kondate']);
		$konstart = explode(".",$kondate[0]);
		$konend = explode(".",$kondate[1]);
		$konstarttime = mktime(0,0,0,$konstart[1],$konstart[0],$konstart[2]);
		$konendtime = mktime(23,59,59,$konend[1],$konend[0],$konend[2]);

		$votedate = explode(" - ", $mkportals->input['votedate']);
		$votestart = explode(".",$votedate[0]);
		$voteend = explode(".",$votedate[1]);
		$votestarttime = mktime(0,0,0,$votestart[1],$votestart[0],$votestart[2]);
		$voteendtime = mktime(23,59,59,$voteend[1],$voteend[0],$voteend[2]);

		$idg = $mkportals->input['idg'];
		$vt = $mkportals->input['vt'];
		$title = $mkportals->input['title'];
		$opisanie = $_POST['desc']; //$mkportals->input['desc'];
		$pr1 = $mkportals->input['pr1'];
		$pr2 = $mkportals->input['pr2'];
		$pr3 = $mkportals->input['pr3'];
		$pr4 = $mkportals->input['pr4'];
		$win1 = $mkportals->input['win1'];
		$win2 = $mkportals->input['win2'];
		$win3 = $mkportals->input['win3'];
		$win4 = $mkportals->input['win4'];
		$fotonum = $mkportals->input['fotonum'];
		$rules = $_POST['rules']; // $mkportals->input['rules'];
		$status = $mkportals->input['status'];
		$DB->query("UPDATE konkurs_main SET startdate ='$konstarttime', enddate ='$konendtime', votestart ='$votestarttime', voteend ='$voteendtime', title ='$title', opisanie ='$opisanie', rules ='$rules', biddergroup ='$idg', votetype ='$vt', prize1 ='$pr1', prize2 ='$pr2', prize3 ='$pr3', prize4 ='$pr4', winner1 ='$win1', winner2 ='$win2', winner3 ='$win3', winner4 ='$win4', fotonum ='$fotonum', published ='$status' WHERE id = '$id'");

		Header("Location: index.php?ind=ad_konkurs&op=kon");

	}



	function prizelist($id) {
		global $mkportals, $mklib, $DB, $Skin;
		$query = $DB->query( "SELECT id, title FROM konkurs_prizes");
		while( $row = $DB->fetch_row($query) ) {
			if ($row['id'] == $id) {
				$psel .= "<option value=\"{$row['id']}\" selected>{$row['title']}</option>\n";
			} else {
				$psel .= "<option value=\"{$row['id']}\">{$row['title']}</option>\n";
			}

		}
		return $psel;
	}


	function delprize() {
		global $mkportals, $mklib, $DB, $Skin;
		$id = $mkportals->input['id'];
		$query = $DB->query( "SELECT foto FROM konkurs_prizes where id = '$id'");
		$row = $DB->fetch_row($query);
		@unlink("../modules/konkurs/prizes/{$row['foto']}");
		$DB->query("DELETE FROM konkurs_prizes WHERE id = $id");
		Header("Location: index.php?ind=ad_konkurs&op=prize");
	}


	function save_pedit() {
		global $mkportals, $mklib, $DB, $Skin;
		$img="";
		$id = $mkportals->input['id'];
		$name = $mkportals->input['name'];
		$opisanie = $mkportals->input['desc'];
		$sponsor = $mkportals->input['sponsor'];
		$sponsor_url = $mkportals->input['sponsor_url'];

		$FILE_UPLOAD = $mkportals->input['FILE_UPLOAD'];
		$file =  $_FILES['FILE_UPLOAD']['tmp_name'];
		$file_name =  $_FILES['FILE_UPLOAD']['name'];
		if ($file_name) {
			$file_ext = substr ($file_name, (strlen($file_name)-4), 4);
			$file_ext = strtolower($file_ext);

			$image = "p_"."$id"."$file_ext";
			copy($file, "../modules/konkurs/prizes/$image");
			$img = ", foto='$image'";

		}
		$query="UPDATE konkurs_prizes SET title='$name', description='$opisanie', sponsor='$sponsor', url='$sponsor_url'$img where id='$id'";
		$DB->query($query);
		Header("Location: index.php?ind=ad_konkurs&op=prize");



	}

	function editprize() {
		global $mkportals, $mklib, $DB, $Skin;

		$id = $mkportals->input['id'];

		$query = $DB->query( "SELECT * FROM konkurs_prizes where id = '$id'");
		$row = $DB->fetch_row($query);

		$desc = str_replace("<br />", "\n", $row['description']);
		$content.= $this->menu();
		$content.="

		    <form action=\"index.php?ind=ad_konkurs&amp;op=save_pedit&id={$row['id']}\" name=\"EDIT_PRIZE\" method=\"post\" enctype=\"multipart/form-data\">
		    <table width=\"100%\" border=\"0\" cellspacing=\"5\">
		      <tr>
			<td width=\"20%\">{$mklib->lang['ad_title']}</td>
			<td width=\"80%\"><input type=\"text\" name=\"name\" size=\"52\" class=\"bgselect\" value=\"{$row['title']}\"/></td>
		      </tr>
		      <tr>
			<td width=\"20%\" valign=\"top\">{$mklib->lang['ad_description']}</td>
			<td width=\"80%\"><textarea cols=\"50\" rows=\"4\" name=\"desc\" class=\"bgselect\">$desc</textarea></td>
		      </tr>
		      <tr>
			<td width=\"20%\">{$mklib->lang['ad_sponsor']}</td>
			<td width=\"80%\"><input type=\"text\" name=\"sponsor\" size=\"52\" class=\"bgselect\" value=\"{$row['sponsor']}\"/></td>
		      </tr>
		      <tr>
			<td width=\"20%\">{$mklib->lang['ad_sponsor_url']}</td>
			<td width=\"80%\"><input type=\"text\" name=\"sponsor_url\" size=\"52\" class=\"bgselect\" value=\"{$row['url']}\"/></td>
		      </tr>
		      <tr>
			<td width=\"20%\">{$mklib->lang['ad_image']}</td>
			<td width=\"80%\"><input type=\"file\" name=\"FILE_UPLOAD\" size=\"52\" class=\"bgselect\" /></td>
		      </tr>
		      <tr>
			<td colspan=\"2\"><input type=\"submit\" value=\"{$mklib->lang['ad_insert']}\" class=\"mkbutton\" /></td>
		      </tr>
		    </table>
		  </form>
		";

		$output = $Skin->view_block("{$mklib->lang['konkurs']}", $content);
		$mklib->printpage_admin("{$mklib->lang['konkurs']}", $output);
	}



	function save_padd() {
		global $mkportals, $mklib, $DB, $Skin;

		$name = $mkportals->input['name'];
		$opisanie = $mkportals->input['desc'];
		$sponsor = $mkportals->input['sponsor'];
		$sponsor_url = $mkportals->input['sponsor_url'];

		$FILE_UPLOAD = $mkportals->input['FILE_UPLOAD'];
		$file =  $_FILES['FILE_UPLOAD']['tmp_name'];
		$file_name =  $_FILES['FILE_UPLOAD']['name'];
		if ($file_name) {
			$query = $DB->query("SELECT id FROM konkurs_prizes ORDER BY id DESC LIMIT 1");
			$row = $DB->fetch_row($query);
			$newpid = $row['id'];
			++$newpid;
			$file_ext = substr ($file_name, (strlen($file_name)-4), 4);
			$file_ext = strtolower($file_ext);

			$image = "p_"."$newpid"."$file_ext";
			copy($file, "../modules/konkurs/prizes/$image");

		}
		$query="INSERT INTO konkurs_prizes(title, description, sponsor, url, foto)VALUES('$name', '$opisanie', '$sponsor', '$sponsor_url', '$image')";
		$DB->query($query);
		Header("Location: index.php?ind=ad_konkurs&op=prize");



	}
	function addprize() {
		global $mkportals, $mklib, $DB, $Skin;



		$content.= $this->menu();
		$content.="

		    <form action=\"index.php?ind=ad_konkurs&amp;op=save_padd\" name=\"ADD_PRIZE\" method=\"post\" enctype=\"multipart/form-data\">
		    <table width=\"100%\" border=\"0\" cellspacing=\"5\">
		      <tr>
			<td width=\"20%\">{$mklib->lang['ad_title']}</td>
			<td width=\"80%\"><input type=\"text\" name=\"name\" size=\"52\" class=\"bgselect\" /></td>
		      </tr>
		      <tr>
			<td width=\"20%\" valign=\"top\">{$mklib->lang['ad_description']}</td>
			<td width=\"80%\"><textarea cols=\"50\" rows=\"4\" name=\"desc\" class=\"bgselect\"></textarea></td>
		      </tr>
		      <tr>
			<td width=\"20%\">{$mklib->lang['ad_sponsor']}</td>
			<td width=\"80%\"><input type=\"text\" name=\"sponsor\" size=\"52\" class=\"bgselect\" /></td>
		      </tr>
		      <tr>
			<td width=\"20%\">{$mklib->lang['ad_sponsor_url']}</td>
			<td width=\"80%\"><input type=\"text\" name=\"sponsor_url\" size=\"52\" class=\"bgselect\" /></td>
		      </tr>
		      <tr>
			<td width=\"20%\">{$mklib->lang['ad_image']}</td>
			<td width=\"80%\"><input type=\"file\" name=\"FILE_UPLOAD\" size=\"52\" class=\"bgselect\" /></td>
		      </tr>
		      <tr>
			<td colspan=\"2\"><input type=\"submit\" value=\"{$mklib->lang['ad_insert']}\" class=\"mkbutton\" /></td>
		      </tr>
		    </table>
		  </form>
		";

		$output = $Skin->view_block("{$mklib->lang['konkurs']}", $content);
		$mklib->printpage_admin("{$mklib->lang['konkurs']}", $output);
	}



	function addkon() {
		global $mkportals, $mklib, $DB, $Skin, $mklib_board, $editorscript;

		$cselect = $mklib_board->build_grouplist(0);
/*		$editorscript = 1;
		$textarepar = "mce_editable=\"true\"";
		$textarew = "100%";
		$bbeditor= "";
		if ($mklib->mkeditor == "BBCODE") {
			$editorscript = "";
			$textarepar = "";
			$textarew = "75%";
			$bbeditor= $mklib->get_bbeditor();
		}
*/
		$prsel = $this->prizelist("0");
		$content.= $this->menu();
		$content.="

<script type=\"text/javascript\" src=\"/mkportal/modules/konkurs/jquery-1.2.6.js\"></script>
<script type=\"text/javascript\" src=\"/mkportal/modules/konkurs/ui.datepicker.js\"></script>
<link rel=\"stylesheet\" type=\"text/css\" media=\"all\" href=\"/mkportal/modules/konkurs/calendar-system.css\" title=\"system\">
<script type=\"text/javascript\">
$(document).ready(function(){
    
  // ----  -----
  //$('#example').attachDatepicker();
  $('#konRange').attachDatepicker({
  	rangeSelect: true,
  	yearRange: '2009:2011',
  	firstDay: 1
  });
  $('#voteRange').attachDatepicker({
  	rangeSelect: true,
  	yearRange: '2009:2011',
  	firstDay: 1
  });


  // ----  -----
		
});
</script>

	    <form action=\"index.php?ind=ad_konkurs&amp;op=save_kadd\" name=\"ADD_KON\" method=\"post\">
			    <table width=\"100%\" border=\"0\" cellspacing=\"10\" cellpadding=\"3\">
			      <tr>
				<td>{$mklib->lang['ad_kondate']}</td>
				<td><input type=\"text\" name=\"kondate\" id=\"konRange\" readonly value=\"\" /></td>
			      </tr>
			      <tr>
				<td>{$mklib->lang['ad_votedate']}</td>
				<td><input type=\"text\" name=\"votedate\" id=\"voteRange\" readonly value=\"\" /></td>
			      </tr>

			      <tr>
				<td>{$mklib->lang['ad_biddersgroup']}</td>
				<td>
				      <select name=\"idg\" size=\"1\" class=\"bgselect\">
				      {$cselect}
				      </select>
				</td>
			      </tr>
			      <tr>
				<td>{$mklib->lang['ad_votetype']}</td>
				<td>
				      <select name=\"vt\" size=\"1\" class=\"bgselect\">
					<option value=\"1\" >{$mklib->lang['ad_vt1']}</option>
					<option value=\"2\" >{$mklib->lang['ad_vt2']}</option>
				      </select>
				</td>
			      </tr>

			      <tr>
				<td>{$mklib->lang['konkurs_title']}</td>
				<td><input type=\"text\" name=\"title\" value=\"\" size=\"100\"/></td>
			      </tr>

			      <tr>
				<td>{$mklib->lang['konkurs_desc']}</td>
				<td><textarea name=\"desc\" rows=\"5\" cols=\"100\"></textarea></td>
			      </tr>
			      <tr>
				<td>{$mklib->lang['konkurs_prize1']}</td>
				<td>
				      <select name=\"pr1\" size=\"1\" class=\"bgselect\">
					<option value=\"0\">{$mklib->lang['ad_noprize']}</option>
					{$prsel}	
				      </select>
				</td>
			      </tr>
			      <tr>
				<td>{$mklib->lang['konkurs_prize2']}</td>
				<td>
				      <select name=\"pr2\" size=\"1\" class=\"bgselect\">
					<option value=\"0\">{$mklib->lang['ad_noprize']}</option>
					$prsel	
				      </select>

				</td>
			      </tr>
			      <tr>
				<td>{$mklib->lang['konkurs_prize3']}</td>
				<td>
				      <select name=\"pr3\" size=\"1\" class=\"bgselect\">
					<option value=\"0\">{$mklib->lang['ad_noprize']}</option>
					$prsel	
				      </select>

				</td>
			      </tr>
			      <tr>
				<td>{$mklib->lang['konkurs_prize4']}</td>
				<td>
				      <select name=\"pr4\" size=\"1\" class=\"bgselect\">
					<option value=\"0\">{$mklib->lang['ad_noprize']}</option>
					$prsel	
				      </select>

				</td>
			      </tr>
			      <tr>
				<td>{$mklib->lang['ad_fotonum']}</td>
				<td><input type=\"text\" name=\"fotonum\" value=\"\" size=\"3\"/></td>
			      </tr>



			      <tr>
				<td>{$mklib->lang['konkurs_rules']}:</td><td>
	 			<textarea id=\"ta\" name=\"rules\" rows=\"20\" cols=\"100\"></textarea>
				</td>
			      </tr>

		      <tr>
			<td colspan=\"2\"><input type=\"submit\" value=\"{$mklib->lang['ad_insert']}\" class=\"mkbutton\" /></td>
		      </tr>
				</table></form>";



		$output = $Skin->view_block("{$mklib->lang['konkurs']}", $content);
		$mklib->printpage_admin("{$mklib->lang['konkurs']}", $output);
	}




	function kon() {
		global $mkportals, $mklib, $DB, $Skin;

		if ($mkportals->input['mode'] == "saved") {
			$checksave = "{$mklib->lang['ad_saved']}";
   		}


		$content.= $this->menu();
		$content.="<p align=\"center\"><a href=\"/mkportal/admin/index.php?ind=ad_konkurs&op=addkon\">{$mklib->lang['konkurs_add']}</a></p>";

		$query = $DB->query( "SELECT id, title, startdate, enddate, votestart, voteend, published FROM konkurs_main");
		$content.="<table width=\"100%\" border=\"0\" cellpadding=\"4\" cellspacing=\"0\">
				<tr><td colspan=\"6\"><table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td height=1 bgcolor=#aaaaaa></td></tr></table></td></tr>
				<tr><td>ID</td><td><b>{$mklib->lang['ad_title']}</b></td><td><b>{$mklib->lang['ad_kondate']}</b></td><td><b>{$mklib->lang['ad_votedate']}</b></td><td></td><td></td></tr>
				<tr><td colspan=\"6\"><table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td height=1 bgcolor=#aaaaaa></td></tr></table></td></tr>
				";

		while( $row = $DB->fetch_row($query) ) {
			$kondate = date("d.m.Y", $row['startdate']) . " - " . date("d.m.Y", $row['enddate']);
			$votedate = date("d.m.Y", $row['votestart']) . " - " . date("d.m.Y", $row['voteend']);
			$content.="<tr><td>{$row['id']}</td><td><a href=\"#\">{$row['title']}</a></td><td>$kondate</td><td>$votedate</td><td>{$row['published']}</td>
<td width=\"20\">
<a href=\"index.php?ind=ad_konkurs&op=finishkon&id={$row['id']}\">{$mklib->lang['ad_finish']}</a><br><br>
<a href=\"index.php?ind=ad_konkurs&op=editkon&id={$row['id']}\">{$mklib->lang['ad_edit']}</a><br><br>
<a href=\"index.php?ind=ad_konkurs&op=delkon&id={$row['id']}\">{$mklib->lang['ad_del']}</a>
</td>
</tr>
				<tr><td colspan=\"6\"><table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td height=1 bgcolor=#aaaaaa></td></tr></table></td></tr>
				";

		}
		$content.="</table>";
		$output = $Skin->view_block("{$mklib->lang['konkurs']}", $content);
		$mklib->printpage_admin("{$mklib->lang['konkurs']}", $output);
	}

	function prize() {
		global $mkportals, $mklib, $DB, $Skin;

		if ($mkportals->input['mode'] == "saved") {
			$checksave = "{$mklib->lang['ad_saved']}";
   		}


		$content.= $this->menu();
		$content.="<p align=\"center\"><a href=\"/mkportal/admin/index.php?ind=ad_konkurs&op=addprize\">{$mklib->lang['konkurs_add']}</a></p>";

		$query = $DB->query( "SELECT * FROM konkurs_prizes");
		$content.="<table width=\"100%\" border=\"0\" cellpadding=\"4\" cellspacing=\"0\">
				<tr><td colspan=\"5\"><table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td height=1 bgcolor=#aaaaaa></td></tr></table></td></tr>
			";
		while( $row = $DB->fetch_row($query) ) {
			$content.="<tr>
				<td width=\"100\" rowspan=\"3\"><a href=\"/mkportal/modules/konkurs/prizes/{$row['foto']}\" target=\"_blank\"><img src=\"/mkportal/modules/konkurs/prizes/{$row['foto']}\" height=\"100\"></a></td>
				<td width=\"100\"><b>{$mklib->lang['ad_title']}</b></td><td>{$row['title']}</td><td rowspan=\"3\"><b>{$mklib->lang['ad_description']}:</b> {$row['description']}</td>
				<td rowspan=\"3\" width=\"20\"><a href=\"index.php?ind=ad_konkurs&op=editprize&id={$row['id']}\">{$mklib->lang['ad_edit']}</a><br><br><a href=\"index.php?ind=ad_konkurs&op=delprize&id={$row['id']}\">{$mklib->lang['ad_del']}</a></td></tr>
				<tr><td><b>{$mklib->lang['ad_sponsor']}</b></td><td>{$row['sponsor']}</td></tr>
				<tr><td><b>{$mklib->lang['ad_sponsor_url']}</b></td><td><a href=\"{$row['url']}\" target=\"_blank\">{$row['url']}</a></td></tr>
				<tr><td colspan=\"5\"><table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td height=1 bgcolor=#aaaaaa></td></tr></table></td></tr>
				
			";
 		}
		$content.="</table>";

		$output = $Skin->view_block("{$mklib->lang['konkurs']}", $content);
		$mklib->printpage_admin("{$mklib->lang['konkurs']}", $output);
	}


	function menu(){
		global $mkportals, $mklib, $Skin, $DB;
		$str="<table width=\"100%\" border=\"0\" cellpadding=0>
			<tr align=center>
			<td><a href=\"index.php?ind=ad_konkurs&amp;op=options\"><b>{$mklib->lang['ad_menu_main']}</b></a></td>
			<td><a href=\"index.php?ind=ad_konkurs&amp;op=kon\"><b>{$mklib->lang['ad_menu_kon']}</b></a></td>
			<td><a href=\"index.php?ind=ad_konkurs&amp;op=bid\"><b>{$mklib->lang['ad_menu_bid']}</b></a></td>
			<td><a href=\"index.php?ind=ad_konkurs&amp;op=prize\"><b>{$mklib->lang['ad_menu_prize']}</b></a></td>
			<td><a href=\"index.php?ind=ad_konkurs&amp;op=comments\"><b>{$mklib->lang['konkurs_comments']}</b></a></td>
			<tr><td height=2 bgcolor=#aaaaaa colspan=6></td></tr>
			</table>
		";

		return($str);
	}


	function main() {
		global $mkportals, $mklib, $DB, $Skin;

		if ($mkportals->input['mode'] == "saved") {
			$checksave = "{$mklib->lang['ad_saved']}";
   		}
		if ($mklib->config['mod_konkurs']) {
			$checkactive =  "checked=\"checked\"";
   		}
		$img_per_page= $mklib->config['konkurs_img_per_page'];
		$img_per_row= $mklib->config['konkurs_img_per_row'];
		$thumb_max_dimen= $mklib->config['konkurs_thumb_max_dimen'];
		$image_max_dimen= $mklib->config['konkurs_image_max_dimen'];
		$image_resizeto= $mklib->config['konkurs_image_resizeto'];
		$image_jpg_quality= $mklib->config['konkurs_image_jpg_quality'];
		$sorttype = $mklib->config['konkurs_sorttype'];
		switch($sorttype) {
			case 'id':
    			$selsort1="selected=\"selected\"";
    		break;
			case 'rating':
    			$selsort2="selected=\"selected\"";
    		break;
    		default:
    			$selsort="selected=\"selected\"";
    		break;
		}
		$sselects = "<option value=\"id\" $selsort1>{$mklib->lang['ad_sort_id']}</option>\n";
		$sselects .= "<option value=\"rating\" $selsort2>{$mklib->lang['ad_sort_pos']}</option>\n";



		$sortdir = $mklib->config['konkurs_sortdir'];
		switch($sortdir) {
			case 'desc':
    			$selsortdir="selected=\"selected\"";
    		break;
			case 'asc':
    			$selsortdir1="selected=\"selected\"";
    		break;
    		default:
    			$selsortdir="selected=\"selected\"";
    		break;
		}                                                                              

		$sdselects = "<option value=\"desc\" $selsortdir>{$mklib->lang['ad_sortdir_desc']}</option>\n";
		$sdselects .= "<option value=\"asc\" $selsortdir1>{$mklib->lang['ad_sortdir_asc']}</option>\n";
		$image_width_on_page= $mklib->config['konkurs_image_width_on_page'];

		if ($mklib->config['konkurs_wm']) {
			$checkwater =  "checked=\"checked\"";
   		}
		if ($mklib->config['konkurs_comments']) {
			$checkcomments =  "checked=\"checked\"";
   		}
		$upload_image_max= $mklib->config['konkurs_upload_image_max'];



		$kon_per_page = $mklib->config['konkurs_per_page'];

/*
		$classic_thumbs2 = "checked=\"checked\"";
		if ($mklib->config['konkurs_classic_thumbs'] == 0) {
			$classic_thumbs = "checked=\"checked\"";
			$classic_thumbs2 = "";
		}
		$square_thumbs2 = "checked=\"checked\"";
		if ($mklib->config['square_thumbs'] == 0) {
			$square_thumbs = "checked=\"checked\"";
			$square_thumbs2 = "";
		}
*/


		$content.= $this->menu();
		$content.="	    <form action=\"index.php?ind=ad_konkurs&amp;op=save_main\" name=\"save_main\" method=\"post\">
			    <table width=\"100%\" border=\"0\">
			      <tr>
				<td colspan=2><b>$checksave</b></td>
			      </tr>
			      <tr>
				<td width=\"50%\"><span class=\"mktxtcontr\">{$mklib->lang['ad_disactive']}</span></td><td><input type=\"checkbox\" name=\"stato\" value=\"1\" $checkactive /></td>
			      </tr>
			      <tr>
				<td width=\"50%\">{$mklib->lang['ad_water']}</td><td><input type=\"checkbox\" name=\"water\" value=\"1\" $checkwater /></td>
			      </tr>
	      <tr>
		<td>{$mklib->lang['ad_img_per_page']}</td>
		<td><input type=\"text\" name=\"img_per_page\" value=\"$img_per_page\" size=\"20\" class=\"bgselect\" /></td>
	      </tr>

	      <tr>
		<td>{$mklib->lang['ad_imgperrow']}</td>
		<td><input type=\"text\" name=\"img_per_row\" value=\"$img_per_row\" size=\"20\" class=\"bgselect\" /></td>
	      </tr>

	      <tr>
		<td>{$mklib->lang['ad_maxupsize']}</td>
		<td><input type=\"text\" name=\"upload_image_max\" value=\"$upload_image_max\" size=\"20\" class=\"bgselect\" /></td>
	      </tr>
	      <tr>
		<td>{$mklib->lang['ad_imgmaxdimen']}</td>
		<td><input type=\"text\" name=\"image_max_dimen\" value=\"$image_max_dimen\" size=\"20\" class=\"bgselect\" /></td>
	      </tr>
	      <tr>
		<td>{$mklib->lang['ad_widthonpage']}</td>
		<td><input type=\"text\" name=\"image_width_on_page\" value=\"$image_width_on_page\" size=\"20\" class=\"bgselect\" /></td>
	      </tr>
	      <tr>
		<td>{$mklib->lang['ad_imgresize']}</td>
		<td><input type=\"text\" name=\"image_resizeto\" value=\"$image_resizeto\" size=\"20\" class=\"bgselect\" /></td>
	      </tr>
	      <tr>
		<td>{$mklib->lang['ad_imgqual']}</td>
		<td><input type=\"text\" name=\"image_jpg_quality\" value=\"$image_jpg_quality\" size=\"20\" class=\"bgselect\" /></td>
	      </tr>
<!--
              <tr> 
		<td>{$mklib->lang['ad_ajaxthumbs']}</td>
	        <td>{$mklib->lang['ad_ajaxth']}&nbsp;<input type=\"radio\" value=\"0\" name=\"classic_thumbs\" $classic_thumbs />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;{$mklib->lang['ad_classicth']}&nbsp;<input type=\"radio\" value=\"1\" name=\"classic_thumbs\" $classic_thumbs2 /></td>
	      </tr>
	      <tr> 
		<td>{$mklib->lang['ad_sqthumbs']}</td>
	       <td>{$mklib->lang['ad_yes']}&nbsp;<input type=\"radio\" value=\"1\" name=\"square_thumbs\" $square_thumbs2 />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;{$mklib->lang['ad_no']}&nbsp;<input type=\"radio\" value=\"0\" name=\"square_thumbs\" $square_thumbs /></td>
	      </tr>
-->
	      <tr>
		<td>{$mklib->lang['ad_thumbmax']}</td>
		<td><input type=\"text\" name=\"thumb_max_dimen\" value=\"$thumb_max_dimen\" size=\"20\" class=\"bgselect\" /></td>
	      </tr>
	      <tr>
		<td>{$mklib->lang['ad_kon_admperpage']}</td>
		<td><input type=\"text\" name=\"kon_per_page\" value=\"$kon_per_page\" size=\"20\" class=\"bgselect\" /></td>
	      </tr>

              <tr>
		<td>{$mklib->lang['ad_kon_sort']}</td>
		<td>
		  <select name=\"sorttype\" size=\"1\" class=\"bgselect\">
		  {$sselects}
		  </select>
		</td>
	      </tr>
              <tr>
		<td>{$mklib->lang['ad_kon_sortdir']}</td>
		<td>
		  <select name=\"sortdir\" size=\"1\" class=\"bgselect\">
		  {$sdselects}
		  </select>
		</td>
	      </tr>
	      <tr>
		<td width=\"50%\">{$mklib->lang['konkurs_comments']}</td><td><input type=\"checkbox\" name=\"comments\" value=\"1\" $checkcomments /></td>
	      </tr>

	      <tr>
		<td colspan=2><input type=\"submit\" name=\"Save\" value=\"{$mklib->lang['ad_save']}\"  class=\"mkbutton\" /></td>
	      </tr>


				</table></form>";


		$content .="<div align=\"center\"><a href=\"http://www.mokrousov.org\" target=\"_blank\">{$mklib->lang['konkurs']}</a> &copy; 2010 <a href=\"http://www.mokrousov.org\" target=\"_blank\">mokrousov.org</a></div>";
		$output = $Skin->view_block("{$mklib->lang['konkurs']}", $content);
		$mklib->printpage_admin("{$mklib->lang['konkurs']}", $output);


	}


}
        
?>